PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
vg_lite_path_t Struct Reference

## Data Fields
vg_lite_float_t | bounding_box [4]
vg_lite_quality_t | quality
vg_lite_format_t | format
vg_lite_hw_memory_t | uploaded
vg_lite_uint32_t | path_length
vg_lite_pointer | path
vg_lite_int8_t | path_changed
vg_lite_int8_t | pdata_internal
vg_lite_path_type_t | path_type
vg_lite_stroke_t * | stroke
vg_lite_pointer | stroke_path
vg_lite_uint32_t | stroke_size
vg_lite_color_t | stroke_color
vg_lite_int8_t | add_end
vg_lite_int8_t | stroke_valid

## Field Documentation

## ◆ bounding_box

vg_lite_float_t vg_lite_path_t::bounding_box[4]

## ◆ quality

vg_lite_quality_t vg_lite_path_t::quality

Bounding box specified as left, top, right, and bottom.

## ◆ format

vg_lite_format_t vg_lite_path_t::format

Quality hint for the path.

## ◆ uploaded

vg_lite_hw_memory_t vg_lite_path_t::uploaded

Coordinate format.

## ◆ path_length

vg_lite_uint32_t vg_lite_path_t::path_length

Path data that has been upload into GPU addressable memory.

## ◆ path

vg_lite_pointer vg_lite_path_t::path

Number of bytes in the path data.

## ◆ path_changed

vg_lite_int8_t vg_lite_path_t::path_changed

Pointer to the physical description of the path.

## ◆ pdata_internal

vg_lite_int8_t vg_lite_path_t::pdata_internal

Indicate whether path data is synced with command buffer (uploaded) or not.

## ◆ path_type

vg_lite_path_type_t vg_lite_path_t::path_type

Indicate whether path data memory is allocated by driver.

## ◆ stroke

vg_lite_stroke_t* vg_lite_path_t::stroke

Refer to the definition by vg_lite_path_type_t.

## ◆ stroke_path

vg_lite_pointer vg_lite_path_t::stroke_path

Pointer to a vg_lite_stroke_t structure.

## ◆ stroke_size

vg_lite_uint32_t vg_lite_path_t::stroke_size

Pointer to the physical description of the stroke path.

## ◆ stroke_color

vg_lite_color_t vg_lite_path_t::stroke_color

Number of bytes in the stroke path data.

## ◆ add_end

vg_lite_int8_t vg_lite_path_t::add_end

The stroke path fill color.

## ◆ stroke_valid

vg_lite_int8_t vg_lite_path_t::stroke_valid

Flag that add end_path in driver.